#include<bits/stdc++.h>
using namespace std;
string s1,s2,resenje,p;
int n,x,a,b;
int main(){
    cin>>s1>>s2;
    a=s1.size();
    b=s2.size();
    if(a>b){
        x=a-b;
        for(int i=0;i<x;i++){
            s2.insert(i,"+");
        }
    }
    if(b>a){
        x=b-a;
        for(int i=0;i<x;i++){
            s1.insert(i,"+");
        }
    }
    n=s1.size();
    for(int i=0;i<n;i++){
        if(s1[i]>s2[i]){
            cout<<s1[i];
        }
        else if(s1[i]<s2[i]){
            cout<<s2[i];
        }
        else{
            cout<<s1[i]<<s2[i];
        }
    }
    return 0;
}